RoutesPages module

Pages routes

URLs the Pages module answers, their parameters and the variables each view receives.

View cdna-admin screens of this module.

Admin view

GET /cdna-admin/pages/add-page/{parent.id} addPage

Add a new record. Assigns an empty record to the template.

Path parameters parent.id matches \d+

The admin template receives
VariableTypeDescription
$page Page Single (empty) Page record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/pages/page/{id}/{revision.id} editPage

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+revision.id matches \d+

The admin template receives
VariableTypeDescription
$page Page Retrieved Page record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/pages/pages managePages

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$pages Collection<Page> Collection of Pages

Common variables such as $_url, $_request and $_menu are available too. Global template variables

Only GET routes list their variables.